Contacts
Retrieve a bulk job
Retrieve the processing status of a bulk contact creation job
AuthorizationBearer <token>
In: header
Path Parameters
jobIdstring
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://app.sparrowdesk.com/v1/bulk/status/string"{
"data": {
"totalContacts": 101,
"status": "COMPLETED",
"contactsCreated": 100,
"contactsUpdated": 0,
"contactsFailed": 1,
"failedContacts": [
{
"errorMessage": "Batch processing failed Company not found for contact '[email protected]'",
"payload": [
{
"first_name": "Jane",
"email": "[email protected]",
"company_ids": [
999
]
}
]
}
]
}
}{
"message": "Unauthorized"
}{
"error": {
"message": "Job not found"
}
}{
"error": {
"message": "string"
}
}{
"name": "RateLimitExceeded",
"message": "Rate limit exceeded for: APIS_PER_MINUTE",
"code": 429,
"details": [
{
"name": "APIS_PER_MINUTE",
"quota": 0,
"count": 0,
"remaining": 0
}
]
}{
"error": {
"message": "Error retrieving job status"
}
}